commit: fb86c237f6dff96f06d04cbdddc8a61ddf33dc16
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sat Nov 12 10:06:04 2022 +0000
Commit: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sat Nov 12 17:16:05 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fb86c237
dev-python/asgi-lifespan: add 2.0.0
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
dev-python/asgi-lifespan/Manifest | 1 +
.../asgi-lifespan/asgi-lifespan-2.0.0.ebuild | 36 ++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-python/asgi-lifespan/Manifest
b/dev-python/asgi-lifespan/Manifest
index 16c63d274..7c88d02db 100644
--- a/dev-python/asgi-lifespan/Manifest
+++ b/dev-python/asgi-lifespan/Manifest
@@ -1 +1,2 @@
DIST asgi-lifespan-1.0.1.gh.tar.gz 10745 BLAKE2B
cebf0d8a152cae10c69764497624e384d878b4f98d8f8ca22648daee0315742503c0fa6c2f452f051d0f0c49b2fafea6b5f96660609b68395a2b441a1cd714ce
SHA512
70acad39954749154461a9d6435d5ae78eb9aa22e7717303158780cde90f532f2c33656da7ccefab0edfc2916db92339969228b383c29be9832fe933fe1206b9
+DIST asgi-lifespan-2.0.0.gh.tar.gz 10067 BLAKE2B
66e4161f85b62aa065085db75d4c6c603b5e0b4888a89e880a3ce2e30c5ab5ba34544d4a137c7bcd913901ceb9b7422977cbb2ac3df0fe233907213d06710801
SHA512
2675bf756891229ef30ec9401777edaf0ed012aa1d8de5fdbaa76da01189fc2decf4d44463f74a04fcb17d46d1818ec410940649841aaed8f61c265659c69e86
diff --git a/dev-python/asgi-lifespan/asgi-lifespan-2.0.0.ebuild
b/dev-python/asgi-lifespan/asgi-lifespan-2.0.0.ebuild
new file mode 100644
index 000000000..43a47c075
--- /dev/null
+++ b/dev-python/asgi-lifespan/asgi-lifespan-2.0.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Programmatic startup/shutdown of ASGI apps"
+HOMEPAGE="
+ https://pypi.org/project/asgi-lifespan/
+ https://github.com/florimondmanca/asgi-lifespan
+"
+SRC_URI="https://github.com/florimondmanca/${PN}/archive/refs/tags/${PV}.tar.gz
-> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/sniffio[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-trio[${PYTHON_USEDEP}]
+ dev-python/starlette[${PYTHON_USEDEP}]
+ dev-python/trio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ rm setup.cfg || die
+ distutils-r1_python_prepare_all
+}